export const SearchColumns = [

  {
    item:{
      key: "code",
      title: "物料编码",  
    },
    attr:{
      clearable:true,
      is: "el-popover-select-v2",
      valueKey: "code",
      referName: "MATERIAL_PARAM",
    },
  },
  {
    item:{
      key: "name",
      title: "物料名称",  
    },
    attr:{
      clearable:true,
      is: "el-popover-select-v2",
      valueKey: "name",
      referName: "MATERIAL_PARAM",
    },
  },
  {
    item: {
      key: "classifyIdName",
      title: "物料分类",
    },
    attr: {
      is: "el-popover-tree-select",
      referName: "MATERIALCLASSIFY_PARAM",
      valueKey: "name",
      clearable:true,
      dataMapping: {
        classifyId: "id",
      },
    },
  },
  {
    item:{
      key: "isEnable",
      title: "启用状态",  
    },
    attr:{
      clearable:true,
      is: "el-select",
      dictName: "material_enable",
    },
  },
  {
    item:{
      key: "puPersonnelIdName",
      title: "采购员",
    },
    attr: {
      clearable:true,
      is: "el-popover-select-v2",
      referName: "CONTACTS_PARAM",
      valueKey: "name",
      dataMapping: {
        puPersonnelId: "code",
      },
    },
  },
  {
    item:{
      key: "registrant",
      title: "注册人/上市许可持有人",
    },
    attr: {
      clearable:true,
      is: "el-input",
    },
  },
  {
    item:{
      key: "isSync",
      title: "是否同步NC",  
    },
    attr:{
      clearable:true,
      is: "el-select",
      dictName: "sys_number_yes_no",
    },
  },
  {
    item:{
      key: "registrant",
      title: "生产厂家/代理人",  
    },
    attr:{
      clearable:true,
      is: "el-popover-select-v2",
      valueKey: "name",
      referName: "MANUFACTURER_PARAM",
    },
  },
  {
    item:{
      key: "storageCondition",
      title: "存储条件",  
    },
    attr:{
      clearable:true,
      is: "el-select",
      dictName: "sys_storage_condition",
    },
  },
  {
    item:{
      key: "transportationCondition",
      title: "运输条件",  
    },
    attr:{
      clearable:true,
      is: "el-select",
      dictName: "sys_conditions_carriage",
    },
  },
  {
    item:{
      key: "isMedicine",
      title: "是否医药物料",  
    },
    attr:{
      clearable:true,
      is: "el-select",
      dictName: "sys_number_yes_no",
    },
  },
  {
    item:{
      key:'classifyAbc',
      title:'ABC分类',
    },
    attr:{
      clearable:true,
      is: "el-select",
      dictName: "abc_type",
    }
  },
];

export const OtherDictColumns = [
  {
    item:{
      key:"expiryUnitId",
      title:'效期管理',
    },
    attr:{
      is: "el-select",
      dictName: "period_unit",
    }
  },
  {
    item:{
      key:'usefulLifeUnitId',
      title:'有效期至单位',
    },
    attr:{
      is: "el-select",
      dictName: "expiry_date",
    }
  },
  
]
